# Set a compputer's description
Function Set-ComputerDescription($Computer,$Description,$Server)
    {
        If ($Description -eq $null)
            {
                $Description = Read-Host "Please Enter Description for $Computer : "
            }
        $Computers = $Computer.split(",")
        $count = $Computers.count
        $i = 1
        If ($Server -eq $null -or $Server -eq "") {$Server = $DefaultDRAServer} #Default DRA Server
        ForEach ($Computer in $Computers)
            {
                $Percent = ($i/$count) * 100
                Show-ProgressBar -Activity "Setting $Computer's Description to $Description" -PercentComplete $Percent
                Try
                    {
                        Set-DRAComputer -Properties @{Description=$Description} -DRARestServer $Server -DRARestPort 8755 -DRAHostServer $Server -DRAHostPort 11192 -Domain "AREA52.afnoapps.usaf.mil" -Identifier $Computer -Force -ErrorAction STOP
                    }
                Catch
                    {
                        Write-Host "Couldn't set $Computer's description"
                    }
                $i++
            }
    }